import axios from 'axios';

const nodeAxios = axios.create({
  baseURL: 'https://nodeapi.ydl.com/api',
  timeout: 600000,
  responseType: 'json',
  headers: {
    'Content-Type': 'application/x-www-form-urlencoded',
    Accept: 'application/json'
  },
  transformRequest: [
    data => {
      data = JSON.stringify(data);
      return data;
    }
  ],
  validateStatus: status => status === 200
});

// 响应拦截
nodeAxios.interceptors.response.use((res = {}) => {
  return Promise.resolve(res.data);
});

export { nodeAxios };
