import React, { Component } from 'react';

import { ImagePicker } from 'antd-mobile';
import { PhotoSwipeGallery } from 'react-photoswipe';
// import UploadFile from '../../common/UploadFile/file';
// import 'react-photoswipe/lib/photoswipe.css';

function getImgNaturalDimensions(imgSrc, callback) {
  var nWidth, nHeight;
  // if (img.naturalWidth) { // 现代浏览器
  //     nWidth = img.naturalWidth
  //     nHeight = img.naturalHeight
  // } else { // IE6/7/8
  const image = new Image();
  image.src = imgSrc;
  image.onload = () => {
    callback(image.width, image.height);
  };
  // }
  return [nWidth, nHeight];
}
class UpLoad extends Component {
  state = {
    isOpen: false,
    maxSelectImageNumber: 2, //上传文件数
    certificateFiles: [],
    ViewImagesIndex: 0,
    ViewImages: [] //查看大图list
  };
  //点击图片
  onImageClickFun = (index, files) => {
    console.log(index, files);
    this.setState({
      ViewImagesIndex: index,
      isOpen: true
    });
  };
  //上传成功后或者删除
  certificateChange = (certificateFiles, operationType, index) => {
    console.log(certificateFiles, operationType, index);
    this.setState({
      certificateFiles
    });
    let arr = [];
    const _this = this;
    certificateFiles.forEach(item => {
      // imgReady(item.url, function() {
      getImgNaturalDimensions(item.url, function(w, h) {
        arr.push({
          src: item.url,
          w: w,
          h: h
        });
        _this.setState({
          ViewImages: arr
        });
      });
      // });
    });
    // console.log('arr', JSON.stringify(arr));
    // this.setState({
    //   ViewImages: arr
    // });
  };

  //查看大图方法
  closePhoto = () => {
    this.setState({
      isOpen: false
    });
  };
  getThumbnailContent = item => <img src={item.thumbnail} width={120} height={90} alt="" />;

  render() {
    const { maxSelectImageNumber, certificateFiles, isOpen, ViewImages } = this.state;
    return (
      <div className="photo-wrap">
        <ImagePicker files={certificateFiles} onChange={this.certificateChange} onImageClick={this.onImageClickFun} selectable={certificateFiles.length < maxSelectImageNumber} />
        <PhotoSwipeGallery items={ViewImages} isOpen={isOpen} thumbnailContent={this.getThumbnailContent} options={{ closeOnScroll: false }} onClose={this.closePhoto} />

        <style jsx>{``}</style>
      </div>
    );
  }
}

export default UpLoad;
