import React, { Component } from 'react';

import storage from '@/utils/storage.plugin';
import vc from '@/utils/vconsole';
import { delHtmlTag } from '../../../utils/common';
import PropTypes from 'prop-types';
import { normalKeywords, normalDescription } from '../../../static/js/constant';
import 'antd-mobile/dist/antd-mobile.min.css';
import '@static/styles/global.less';

export default class Layout extends Component {
  static propTypes = {
    title: PropTypes.string,
    children: PropTypes.node,
    desc: PropTypes.string,
    keywords: PropTypes.string,
    url: PropTypes.string
  };
  componentDidMount() {
    vc();
    let newObj = this.analysisQuery();
    if (newObj && newObj.uid) {
      storage.setSS('appInfo', this.analysisQuery());
    }
    // ENV === 'development' && storage.setLS('uid', 13090225);
  }
  analysisQuery() {
    let search = location.search;
    if (!search) return '';
    search = search.substr(1).split('&');
    let obj = {};
    search.forEach(item => {
      let it = item.match(/(.+)=(.+)/);
      obj[it[1]] = it[2];
    });
    return obj;
  }
  render() {
    let { title, children, keywords = normalKeywords, desc = normalDescription, ...other } = this.props;
    return (
      <div className="container">
        {/*<Head>
          <title>{title}</title>
          <meta name="keywords" content={keywords} />
          <meta name="description" content={delHtmlTag(desc)} />
        </Head>
       <Header title={title} border={true} /> */}

        <div className="page-content">{children}</div>
      </div>
    );
  }
}
