export default {
    getLS: function (key) {
        var val = this.deserializeLS(localStorage.getItem(key))
        return (val === undefined ? null : val)
    },
    setLS: function (key, value) {
        if (this.getLS(key) !== null) {
            this.removeLS(key)
        }
        localStorage.setItem(key, this.serializeLS(value))
    },
    removeLS: function (key) {
        if (!key) {
            localStorage.clear()
        } else {
            localStorage.removeItem(key)
        }
    },
    getSS: function (key) {
        var val = this.deserializeLS(sessionStorage.getItem(key))
        return (val === undefined ? null : val)
    },
    setSS: function (key, value) {
        if (this.getSS(key) !== null) {
            this.removeSS(key)
        }
        sessionStorage.setItem(key, this.serializeLS(value))
    },
    removeSS: function (key) {
        if (!key) {
            sessionStorage.clear()
        } else {
            sessionStorage.removeItem(key)
        }
    },
    serializeLS: function (value) {
        if (typeof value === 'string') {
            return value
        }
        return JSON.stringify(value)
    },
    deserializeLS: function (value) {
        try {
            return JSON.parse(value)
        } catch (e) {
            return value || undefined
        }
    }
}