export default function() {
  let root;
  try {
    root = window;
  } catch (error) {
    root = global;
  }
  const shakeSpeed = 5000; // 设置阈值
  let flag = true;
  let lastTime = 0; // 此变量用来记录上次摇动的时间
  // 此组变量分别记录对应x、y、z三轴的数值和上次的数值
  let x = 0;
  let y = 0;
  let z = 0;
  let lastX = 0;
  let lastY = 0;
  let lastZ = 0;
  let count = 0;

  let styleDom = null;

  const isTest = root.location.hostname.includes('test');

  function createMonitorService() {
    // *修复vConsole串改全局stringify导致不能序列化数组的问题
    const { stringify } = root.JSON;
    const createCustomerScript = document.createElement('script');
    createCustomerScript.async = true;
    createCustomerScript.src = 'https://res.wx.qq.com/mmbizwap/zh_CN/htmledition/js/vconsole/3.0.0/vconsole.min.js';

    document.head.appendChild(createCustomerScript);
    createCustomerScript.onload = () => {
      // setTimeout(() => {
      new VConsole();
      root.JSON.stringify = stringify;
      // document.getElementById('__vconsole').style.display = 'none';
      // }, 0);
    };
  }
  // 编写摇一摇方法
  function shake(event) {
    const acceleration = event.accelerationIncludingGravity; // 获取设备加速度信息
    const nowTime = new Date().getTime(); // 记录当前时间
    // 如果这次摇的时间距离上次摇的时间有一定间隔 才执行
    if (nowTime - lastTime > 100) {
      const diffTime = nowTime - lastTime; // 记录时间段
      lastTime = nowTime; // 记录本次摇动时间，为下次计算摇动时间做准备
      // 获取x轴数值，x轴为垂直于北轴，向东为正
      // 获取y轴数值，y轴向正北为正
      // 获取z轴数值，z轴垂直于地面，向上为正
      ({ x, y, z } = acceleration);
      // 计算 公式的意思是 单位时间内运动的路程，即为我们想要的速度
      const speed = (Math.abs(x + y + z - lastX - lastY - lastZ) / diffTime) * 10000;
      if (speed > shakeSpeed) {
        // 如果计算出来的速度超过了阈值，那么就算作用户成功摇一摇
        count += 1;
        if (count >= 6 && flag) {
          flag = false;
          styleDom.innerText = '#__vconsole{display:block}';
        }
        // document.getElementById('__vconsole').style.display = 'block';
      }
      lastX = x; // 赋值，为下一次计算做准备
      lastY = y; // 赋值，为下一次计算做准备
      lastZ = z; // 赋值，为下一次计算做准备
    }
  }
  if (root.DeviceMotionEvent && !navigator.userAgent.match(/OS 8/) && location.hostname.match('test')) {
    styleDom = document.createElement('style');
    // styleDom.innerText = '#__vconsole{display:none}';
    document.head.appendChild(styleDom);

    // 判断设备是否支持运动传感事件。
    root.addEventListener('devicemotion', shake, false); // 如果支持，那么就绑定shake方法到事件上
    createMonitorService();
  }
}
